%define soname 16
%define libname_orig lib%{name}
%define libname %mklibname %{name} %{soname}
%define develname %mklibname %{name} -d

Summary:	Library for reading EB/EPWING files
Name:		eb
Version:	4.4.3
Release:	%mkrel 8
Group:		System/Internationalization
License:	BSD
URL:		https://www.sra.co.jp/people/m-kasahr/eb/
Source0:	ftp://ftp.sra.co.jp/pub/misc/eb/%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-fdr-aclocal-conf-libdir.patch
Patch1:		%{name}-gcc14.patch
BuildRequires:	pkgconfig(zlib)
Requires:	%{libname} = %{version}

%description
Eb is a library for reading EB/EPWING files.

%package -n	%{libname}
Summary:	Eb library
Group:		System/Internationalization
Provides:	%{libname_orig} = %{version}-%{release}

%description -n	%{libname}
Eb library.

%package -n	%{develname}
Summary:	Headers of %{name} for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Eb development package: static libraries, header files, and the like.

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="%{optflags} -std=gnu17"
# fix build on aarch64
autoreconf -vfi

%configure --disable-static --sysconfdir=%{_libdir}
%make_build

%install
%make_install


rm -f %{buildroot}%{_libdir}/*.la
rm -rf tmp
mkdir -p tmp
mv %{buildroot}%{_datadir}/%{name}/doc tmp/html

%find_lang %{name}
%find_lang %{name}utils

cat %{name}utils.lang >> %{name}.lang

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}*
%{_datadir}/%{name}

%files -n %{libname}
%doc COPYING
%{_libdir}/lib%{name}.so.%{soname}{,.*}

%files -n %{develname}
%doc COPYING tmp/html
%{_datadir}/aclocal/*
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}
%{_libdir}/%{name}.conf


%changelog
* Tue May 13 2025 ns80 <ns80> 4.4.3-8.mga10
+ Revision: 2183095
- try to fix building with GCC 15

* Wed Oct 09 2024 ns80 <ns80> 4.4.3-7.mga10
+ Revision: 2104287
- add a patch from Fedora to fix building with GCC 14

* Wed Mar 16 2022 umeabot <umeabot> 4.4.3-6.mga9
+ Revision: 1794902
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 4.4.3-5.mga8
+ Revision: 1512073
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 4.4.3-4.mga7
+ Revision: 1297550
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 wally <wally> 4.4.3-3.mga7
+ Revision: 1234841
- fix build on aarch64
+ kekepower <kekepower>
- Use make_build

* Sat Feb 20 2016 umeabot <umeabot> 4.4.3-2.mga6
+ Revision: 972464
- Mageia 6 Mass Rebuild

* Sat Nov 07 2015 alexl <alexl> 4.4.3-1.mga6
+ Revision: 898399
- imported package eb

